/* Rexx Exit for BkpDemon	

 This routine is called for every file which has been selected for backup.
 You may execute your personal examinations on that file possibly resulting
 in that the file will not be backup'ed.

 You must set the return-code:

 Return: 0 => File is NOT to be excluded	
         1 => File is to be excluded from current backup
*/
Actual_FileSpec = arg(1);

SIGNAL ON ERROR   Name AbEx;
SIGNAL ON FAILURE Name AbEx;
SIGNAL ON SYNTAX  Name AbEx;

say "Entering _Exclude.cmd with Actual_FileSpec='"Actual_FileSpec"'.";

/* 
   Put your personal examinations here
*/


return 0;	/* do not exclude this file from backup			*/

/* ---------------------------------------------------------------	*/
AbEx:
say "Abnormal program interruption in _Exclude.cmd on line "SIGL":";
say "'" || sourceline(SIGL) || "'";
return -1;
